<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Upload File </title>
    <script
            src="https://code.jquery.com/jquery-3.3.1.js"
            integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60="
            crossorigin="anonymous"></script>

    <script>
        //method="POST" action="" enctype="multipart/form-data"
        var files;
        var contador = 0;

        $(document).ready( () =>{

            $('input[type=file]').on('change', prepareUpload);
            $('form').on('submit', uploadFiles);

        });

        function prepareUpload(event) {
            files = event.target.files;
            contador = contador +1;
            console.log('upload file ' + contador);
            console.log(files);
        }

        function uploadFiles(event) {
            event.stopPropagation();
            event.preventDefault();

            var data = new FormData();
            $.each(files, function(i, file) {
                data.append('file', file);
            });

            $.ajax({
                url:'http://localhost/src/uploadFile.php',
                type:'POST',
                //data:  $("#form-file").serialize(),//data,
                data: data,
                cache: false,
                contentType: false,
                processData: false,
                method:'POST',
                success: function(res) {  $('#respuesta').html(res)},
                error: function() { alert('Failed!'); }
            });
        }
    </script>
</head>
<body>

    <form id="form-file" enctype="multipart/form-data">
        <input id="file" name="file" type="file"/>
        <input type="submit" value="Cargar" />
    </form>

    <div  id="respuesta"></div>

</body>
</html>